/*******************************************************************************
 * OnlineLeaderboardRead generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class OnlineLeaderboardRead extends OnlineStatsRead
    abstract
    native;

struct native OnlineLeaderboardRow extends OnlineStatsRow
{
    var const SettingsData Score;
};

var array<OnlineLeaderboardRow> LeaderboardRows;

// Export UOnlineLeaderboardRead::execGetScoreForPlayer(FFrame&, void* const)
native function int GetScoreForPlayer(UniqueNetId PlayerID);

// Export UOnlineLeaderboardRead::execGetRankForPlayer(FFrame&, void* const)
native function int GetRankForPlayer(UniqueNetId PlayerID);

// Export UOnlineLeaderboardRead::execGetIntStatValueForPlayer(FFrame&, void* const)
native function bool GetIntStatValueForPlayer(UniqueNetId PlayerID, int StatColumnNo, out int StatValue);
